rte_eth_dcb_info(3)

NAME
rte_eth_dcb_info

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint8_t nb_tcs
uint8_t prio_tc [RTE_ETH_DCB_NUM_USER_PRIORITIES]
uint8_t tc_bws [RTE_ETH_DCB_NUM_TCS]
struct rte_eth_dcb_tc_queue_mapping tc_queue

Detailed Description

A structure used to get the information of DCB. It includes TC UP mapping and queue TC mapping.

Definition at line 2023 of file rte_ethdev.h.

Field Documentation

  uint8_t nb_tcs
number of TCs

Definition at line 2024 of file rte_ethdev.h.

  uint8_t prio_tc[RTE_ETH_DCB_NUM_USER_PRIORITIES]
Priority to tc

Definition at line 2025 of file rte_ethdev.h.

  uint8_t tc_bws[RTE_ETH_DCB_NUM_TCS]
Tx BW percentage for each TC

Definition at line 2026 of file rte_ethdev.h.

  struct rte_eth_dcb_tc_queue_mapping tc_queue
Rx queues assigned to tc

Definition at line 2028 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.